jQuery(document).ready(function($){

    $(document).on('click', '#florist-flower-shop-welcome-notice .notice-dismiss', function(){
        $.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'florist_flower_shop_dismiss_notice'
            }
        });
    });

});